/*
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 *
 */
#include <stdlib.h>
#include <gtk/gtk.h>

#define RANDOM_FIELDS 1
#define UP 1
#define DOWN 2
#define LEFT 4
#define RIGHT 8
#define _UP 16
#define _DOWN 32
#define _LEFT 64
#define _RIGHT 128

#define KEY_UP 'k'
#define KEY_LEFT 'h'
#define KEY_RIGHT 'l'
#define KEY_DOWN 'j'
#define ALT_UP 'k'
#define ALT_LEFT 'h'
#define ALT_RIGHT 'l'
#define ALT_DOWN 'j'
#define ALT_KEYS "hjkl"
/*
#define KEY_UP 72
#define KEY_LEFT 75
#define KEY_RIGHT 77
#define KEY_DOWN 80
#define ALT_UP -104
#define ALT_LEFT -101
#define ALT_RIGHT -99
#define ALT_DOWN -96
*/
/*#define ALT_UP 152
#define ALT_LEFT 155
#define ALT_RIGHT 157
#define ALT_DOWN 160*/

#define DT 60

#define UPB 10
#define DOWNB 410
#define LEFTB 10
#define RIGHTB 630

#define PICT_OFF -6
#define JMAX 6


#ifdef ARROWS_MAIN
#define arr_global 
#else
#define arr_global extern
#endif
arr_global GTimer *TTT;
arr_global GtkWidget *drawing_area;
arr_global GtkWidget *label;
arr_global GdkPixmap *pixmap;


void updatescr(void);
void showscore(void);
void newscr(void);
void destroy(void);
void setcolor(int);
void clearviewport(void);

// draw stuff
void putimage(int x, int y, GdkPixmap *, int);
void draw_arrow(int x, int y, int dir, int col);
void putpixel(int x, int y, int color);
void line(int, int, int, int);
void circle(int x, int y, int radius);
void outtextxy(int x, int y, char *s);

// rectangles
void drawrect(int x1, int y1, int x2, int y2, gboolean fill);
void fillrect(int x1, int y1, int x2, int y2);
void drawpoly(int size, int *poly);
void fillpoly(int size, int *poly);
void n_drawpoly(int size, int *poly, gboolean fill);

//keyboard
int kbhit(void);
int getch(void);
void ungetch(int c);
gboolean key_pressed( GtkWidget *widget, GdkEventKey *event);
gboolean key_released( GtkWidget *widget, GdkEventKey *event);

